Plugin tdxm API Resource

Plugins handling WS

GET /tdxm/plugins/json

Get list of plugins

Try it out!

Request Parameters
name type description default constraints
typeName query Type of plugins. It is case-insensitive, so you can place in URL e.g. 'EID' or 'eid'.    
Response Body
media type data type description
application/json object (JSON) JSON Response with list of plugins

Example of response:

{"list":[{"name":"BimEyeEIDConnector","type":"EID","description":"empty"}]}

GET /tdxm/plugins/proxy/ping/json

Check if EIDProxy is alive

Try it out!

Request Parameters
name type description default constraints
domainId query   required
Response Body
media type data type description
application/json HdcSuccessTO (JSON) {"success":true} if it's OK, {"success":false} otherwise